Loading...
Searching...
No Matches
BALL::UnaryProcessor< T > Class Template Reference

`#include <BALL/CONCEPT/processor.h>`

Inheritance diagram for BALL::UnaryProcessor< T >:

## Public Member Functions

Constructors and Destructors
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
Processor specific methods
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (T &)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< T, Processor::Result >
typedef Processor::Result | result_type
typedef T | argument_type
typedef T & | argument_reference
typedef const T & | const_argument_reference
typedef T * | argument_pointer
typedef const T * | const_argument_pointer

## Detailed Description

template<typename T>
class BALL::UnaryProcessor< T >

Generic Unary Processor Class

Definition at line 58 of file processor.h.

## Constructor & Destructor Documentation

## UnaryProcessor() [1/2]

template<typename T>

BALL::UnaryProcessor< T >::UnaryProcessor | ( |  | ) |

inline

Default constructor

Definition at line 69 of file processor.h.

## UnaryProcessor() [2/2]

template<typename T>

BALL::UnaryProcessor< T >::UnaryProcessor | ( | const UnaryProcessor< T > & |  | ) |

inline

Copy constructor

Definition at line 75 of file processor.h.

## ~UnaryProcessor()

template<typename T>

virtual BALL::UnaryProcessor< T >::~UnaryProcessor | ( |  | ) |

inline virtual

Destructor

Definition at line 82 of file processor.h.

## Member Function Documentation

## finish()

template<typename T>

virtual bool BALL::UnaryProcessor< T >::finish | ( |  | ) |

inline virtual

finish method

Reimplemented in BALL::AnisotropyShiftProcessor, BALL::AssignBondOrderProcessor, BALL::AssignRadiusProcessor, BALL::BindingPocketProcessor, BALL::ComposedEnergyProcessor, BALL::ConnectedComponentsProcessor, BALL::DisulfidBondProcessor, BALL::EFShiftProcessor, BALL::EmpiricalHSShiftProcessor, BALL::FragmentDB::BuildBondsProcessor, BALL::FragmentDB::NormalizeNamesProcessor, BALL::HaighMallionShiftProcessor, BALL::HBondProcessor, BALL::HBondShiftProcessor, BALL::JohnsonBoveyShiftProcessor, BALL::MMFF94ChargeProcessor, BALL::Pair6_12InteractionEnergyProcessor, BALL::PairExpInteractionEnergyProcessor, BALL::PCMCavFreeEnergyProcessor, BALL::PierottiCavFreeEnergyProcessor, BALL::ReconstructFragmentProcessor, BALL::ReissCavFreeEnergyProcessor, BALL::ResidueChecker, BALL::RingAnalyser, BALL::RuleProcessor, BALL::ShiftModel1D, BALL::ShiftModel2D, BALL::ShiftModel, BALL::ShiftModule, BALL::SideChainPlacementProcessor, BALL::SurfaceProcessor, BALL::UhligCavFreeEnergyProcessor, BALL::VIEW::AtomDistanceColorProcessor, and BALL::VIEW::ColorByGridProcessor.

Definition at line 99 of file processor.h.

## operator()()

template<typename T>

virtual Processor::Result BALL::UnaryProcessor< T >::operator() | ( | T & |  | ) |

inline virtual

operator ()

Reimplemented in BALL::AddHydrogenProcessor, BALL::AnisotropyShiftProcessor, BALL::AromaticityProcessor, BALL::AssignBondOrderProcessor, BALL::AssignChargeProcessor, BALL::AssignRadiusProcessor, BALL::AssignTypeNameProcessor, BALL::AssignTypeProcessor, BALL::BindingPocketProcessor, BALL::BuildBondsProcessor, BALL::ChargeRuleProcessor, BALL::ClearChargeProcessor, BALL::ClearRadiusProcessor, BALL::ClearShiftProcessor, BALL::ConnectedComponentsProcessor, BALL::CreateSpectrumProcessor, BALL::Descriptor, BALL::DisulfidBondProcessor, BALL::EFShiftProcessor, BALL::EmpiricalHSShiftProcessor, BALL::EnergyProcessor, BALL::FragmentDB::BuildBondsProcessor, BALL::FragmentDB::NormalizeNamesProcessor, BALL::GAFFTypeProcessor, BALL::HaighMallionShiftProcessor, BALL::HBondProcessor, BALL::HBondShiftProcessor, BALL::HybridisationProcessor, BALL::JohnsonBoveyShiftProcessor, BALL::MMFF94ChargeProcessor, BALL::PartialChargeProcessor, BALL::PeptideCapProcessor, BALL::RadiusRuleProcessor, BALL::RandomCoilShiftProcessor, BALL::ReconstructFragmentProcessor, BALL::ResidueChecker, BALL::RingAnalyser, BALL::RingPerceptionProcessor, BALL::SecondaryStructureProcessor, BALL::Selector, BALL::ShiftModel1D, BALL::ShiftModel2D, BALL::ShiftModel, BALL::SideChainPlacementProcessor, BALL::SimpleExperiment1D, BALL::SurfaceProcessor, BALL::TransformationProcessor, BALL::TranslationProcessor, BALL::TypenameRuleProcessor, BALL::TypeRuleProcessor, BALL::VIEW::AddBackboneModel, BALL::VIEW::AddBallAndStickModel, BALL::VIEW::AddLineModel, BALL::VIEW::AddSurfaceModel, BALL::VIEW::AddVanDerWaalsModel, BALL::VIEW::AtomBondModelBaseProcessor, BALL::VIEW::AtomOverview::ApplyProcessor, BALL::VIEW::AtomOverview::OverviewProcessor, BALL::VIEW::ForceModel, BALL::VIEW::HBondModelProcessor, and BALL::VIEW::LabelModel.

Definition at line 106 of file processor.h.

## start()

template<typename T>

virtual bool BALL::UnaryProcessor< T >::start | ( |  | ) |

inline virtual

start method

Reimplemented in BALL::AddHydrogenProcessor, BALL::AromaticityProcessor, BALL::AssignBondOrderProcessor, BALL::AssignChargeProcessor, BALL::AssignRadiusProcessor, BALL::BuildBondsProcessor, BALL::ConnectedComponentsProcessor, BALL::CreateSpectrumProcessor, BALL::DisulfidBondProcessor, BALL::EFShiftProcessor, BALL::EmpiricalHSShiftProcessor, BALL::EnergyProcessor, BALL::FragmentDB::BuildBondsProcessor, BALL::FragmentDB::NormalizeNamesProcessor, BALL::HaighMallionShiftProcessor, BALL::HBondProcessor, BALL::HBondShiftProcessor, BALL::HybridisationProcessor, BALL::JohnsonBoveyShiftProcessor, BALL::MMFF94ChargeProcessor, BALL::ReconstructFragmentProcessor, BALL::ResidueChecker, BALL::RingAnalyser, BALL::RuleProcessor, BALL::Selector, BALL::ShiftModel1D, BALL::ShiftModel2D, BALL::ShiftModel, BALL::ShiftModule, BALL::SideChainPlacementProcessor, BALL::SimpleExperiment1D, BALL::SurfaceProcessor, BALL::VIEW::AddBackboneModel, BALL::VIEW::ColorByGridProcessor, BALL::VIEW::ColorProcessor, BALL::VIEW::InterpolateColorProcessor, BALL::VIEW::PositionColorProcessor, and BALL::VIEW::ResidueNumberColorProcessor.

Definition at line 92 of file processor.h.